public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-util/geany-plugins/, dev-util/geany-plugins/files/
@ 2020-04-10 14:12 Andreas Sturmlechner
  0 siblings, 0 replies; 5+ messages in thread
From: Andreas Sturmlechner @ 2020-04-10 14:12 UTC (permalink / raw
  To: gentoo-commits

commit:     2adf746a17dc26dcaae744ed5ea957632fbf12c8
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Sun Mar  8 19:41:19 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Apr 10 14:12:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2adf746a

dev-util/geany-plugins: make libgit2-0.99 compatible

Closes: https://bugs.gentoo.org/711550
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/14837
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../files/geany-plugins-1.36-libgit2-0.99.patch    | 55 ++++++++++++++++++++++
 .../geany-plugins/geany-plugins-1.36-r1.ebuild     |  2 +
 2 files changed, 57 insertions(+)

diff --git a/dev-util/geany-plugins/files/geany-plugins-1.36-libgit2-0.99.patch b/dev-util/geany-plugins/files/geany-plugins-1.36-libgit2-0.99.patch
new file mode 100644
index 00000000000..25e5ac4ea28
--- /dev/null
+++ b/dev-util/geany-plugins/files/geany-plugins-1.36-libgit2-0.99.patch
@@ -0,0 +1,55 @@
+From 9497d829e1b207eb83575dc6f617feecfb89bc16 Mon Sep 17 00:00:00 2001
+From: Dominik Schmidt <dominik@schm1dt.ch>
+Date: Sun, 23 Feb 2020 19:15:30 +0100
+Subject: [PATCH] Make libgit2 version preprocessor conditionals compatible
+ with libgit2-0.99
+
+LIBGIT2_SOVERSION is defined as string literal, e.g. "0.99",
+from libgit2-0.99 and beyond. Arithmetic checks against this
+variable whill hence fail. This patch switches the checks to
+compare against the LIBGIT2_VER_* family, which should be more stable.
+---
+ git-changebar/src/gcb-plugin.c | 6 +++---
+ workbench/src/plugin_main.c    | 2 +-
+ 2 files changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/git-changebar/src/gcb-plugin.c b/git-changebar/src/gcb-plugin.c
+index b7083199..a911815f 100644
+--- a/git-changebar/src/gcb-plugin.c
++++ b/git-changebar/src/gcb-plugin.c
+@@ -32,11 +32,11 @@
+ #include <geany.h>
+ #include <document.h>
+ 
+-#if ! defined (LIBGIT2_SOVERSION) || LIBGIT2_SOVERSION < 22
++#if ! defined (LIBGIT2_VER_MINOR) || ( (LIBGIT2_VER_MAJOR == 0) && (LIBGIT2_VER_MINOR < 22) )
+ # define git_libgit2_init     git_threads_init
+ # define git_libgit2_shutdown git_threads_shutdown
+ #endif
+-#if ! defined (LIBGIT2_SOVERSION) || LIBGIT2_SOVERSION < 23
++#if ! defined (LIBGIT2_VER_MINOR) || ( (LIBGIT2_VER_MAJOR == 0) && (LIBGIT2_VER_MINOR < 23) )
+ /* 0.23 added @p binary_cb */
+ # define git_diff_buffers(old_buffer, old_len, old_as_path, \
+                           new_buffer, new_len, new_as_path, options, \
+@@ -45,7 +45,7 @@
+                     new_buffer, new_len, new_as_path, options, \
+                     file_cb, hunk_cb, line_cb, payload)
+ #endif
+-#if ! defined (LIBGIT2_SOVERSION) || LIBGIT2_SOVERSION < 28
++#if ! defined (LIBGIT2_VER_MINOR) || ( (LIBGIT2_VER_MAJOR == 0) && (LIBGIT2_VER_MINOR < 28) )
+ # define git_buf_dispose  git_buf_free
+ # define git_error_last   giterr_last
+ #endif
+diff --git a/workbench/src/plugin_main.c b/workbench/src/plugin_main.c
+index 6fa6fc84..25ecdf6d 100644
+--- a/workbench/src/plugin_main.c
++++ b/workbench/src/plugin_main.c
+@@ -36,7 +36,7 @@
+ #include "tm_control.h"
+ 
+ 
+-#if ! defined (LIBGIT2_SOVERSION) || LIBGIT2_SOVERSION < 22
++#if ! defined (LIBGIT2_VER_MINOR) || ( (LIBGIT2_VER_MAJOR == 0) && (LIBGIT2_VER_MINOR < 22))
+ # define git_libgit2_init     git_threads_init
+ # define git_libgit2_shutdown git_threads_shutdown
+ #endif

diff --git a/dev-util/geany-plugins/geany-plugins-1.36-r1.ebuild b/dev-util/geany-plugins/geany-plugins-1.36-r1.ebuild
index a52dca03895..d893f9de3ae 100644
--- a/dev-util/geany-plugins/geany-plugins-1.36-r1.ebuild
+++ b/dev-util/geany-plugins/geany-plugins-1.36-r1.ebuild
@@ -69,6 +69,8 @@ BDEPEND="virtual/pkgconfig
 	nls? ( sys-devel/gettext )
 "
 
+PATCHES=( "${FILESDIR}"/${P}-libgit2-0.99.patch )
+
 pkg_setup() {
 	use python && python-single-r1_pkg_setup
 }


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/geany-plugins/, dev-util/geany-plugins/files/
@ 2021-02-18 14:07 Joonas Niilola
  0 siblings, 0 replies; 5+ messages in thread
From: Joonas Niilola @ 2021-02-18 14:07 UTC (permalink / raw
  To: gentoo-commits

commit:     24a64bb88bc3a019d2c589ba2cc4773b44381a6c
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Fri Feb 12 19:09:35 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Feb 18 14:07:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24a64bb8

dev-util/geany-plugins: drop GTK 2 support

Bug: https://bugs.gentoo.org/769074
Closes: https://bugs.gentoo.org/770085
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/19389
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 .../files/geany-plugins-1.37_use-stdbool.patch     |  39 +++++++
 .../geany-plugins/geany-plugins-1.37-r101.ebuild   | 126 +++++++++++++++++++++
 2 files changed, 165 insertions(+)

diff --git a/dev-util/geany-plugins/files/geany-plugins-1.37_use-stdbool.patch b/dev-util/geany-plugins/files/geany-plugins-1.37_use-stdbool.patch
new file mode 100644
index 00000000000..e4f3990c001
--- /dev/null
+++ b/dev-util/geany-plugins/files/geany-plugins-1.37_use-stdbool.patch
@@ -0,0 +1,39 @@
+From ad50d3ed2ddfe11cd07954786b96725602fb4ddd Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Alexander=20F=2E=20R=C3=B8dseth?= <rodseth@gmail.com>
+Date: Tue, 5 Jan 2021 12:57:27 +0100
+Subject: [PATCH] Use stdbool.h istead of redefining bool
+
+Redefining bool causes errors when used together with ie. GCC 10.2.0
+---
+ pretty-printer/src/PrettyPrinter.h | 5 ++---
+ 1 file changed, 2 insertions(+), 3 deletions(-)
+
+diff --git a/pretty-printer/src/PrettyPrinter.h b/pretty-printer/src/PrettyPrinter.h
+index 268986e95..4200db612 100644
+--- a/pretty-printer/src/PrettyPrinter.h
++++ b/pretty-printer/src/PrettyPrinter.h
+@@ -29,6 +29,7 @@
+ #include <stdlib.h>
+ #include <string.h>
+ #include <stdarg.h>
++#include <stdbool.h>
+ 
+ #ifdef HAVE_GLIB
+ #include <glib.h>
+@@ -52,15 +53,13 @@
+ #define TRUE !(FALSE)
+ #endif
+ 
+-typedef unsigned int bool;
+-
+ /*========================================== STRUCTURES =======================================================*/
+ 
+ /**
+  * The PrettyPrintingOptions struct allows the programmer to tell the
+  * PrettyPrinter how it must format the XML output.
+  */
+-typedef struct 
++typedef struct
+ {
+       const char* newLineChars;                                                             /* char used to generate a new line (generally \r\n) */
+       char indentChar;                                                                      /* char used for indentation */

diff --git a/dev-util/geany-plugins/geany-plugins-1.37-r101.ebuild b/dev-util/geany-plugins/geany-plugins-1.37-r101.ebuild
new file mode 100644
index 00000000000..f31220c70d9
--- /dev/null
+++ b/dev-util/geany-plugins/geany-plugins-1.37-r101.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-1 )
+
+inherit lua-single
+
+DESCRIPTION="A collection of different plugins for Geany"
+HOMEPAGE="https://plugins.geany.org"
+SRC_URI="https://plugins.geany.org/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="ctags debugger enchant git gpg gtkspell lua markdown nls pretty-printer scope soup workbench"
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )"
+
+DEPEND="
+	dev-libs/glib:2
+	>=dev-util/geany-1.37[-gtk2(-)]
+	x11-libs/gtk+:3
+	ctags? ( dev-util/ctags )
+	debugger? (
+		x11-libs/vte:2.91
+		)
+	enchant? ( app-text/enchant:= )
+	git? ( dev-libs/libgit2:= )
+	gpg? ( app-crypt/gpgme:1= )
+	gtkspell? ( app-text/gtkspell:3= )
+	lua? ( ${LUA_DEPS} )
+	markdown? (
+		app-text/discount
+		net-libs/webkit-gtk:4
+		)
+	pretty-printer? ( dev-libs/libxml2:2 )
+	scope? ( x11-libs/vte:2.91 )
+	soup? ( net-libs/libsoup:2.4 )
+	workbench? ( dev-libs/libgit2:= )
+"
+RDEPEND="${DEPEND}
+	scope? ( sys-devel/gdb )
+"
+BDEPEND="virtual/pkgconfig
+	nls? ( sys-devel/gettext )
+"
+
+PATCHES=( "${FILESDIR}"/${P}_use-stdbool.patch )
+
+pkg_setup() {
+	use lua && lua-single_pkg_setup
+}
+
+src_configure() {
+	local myeconfargs=(
+		--disable-cppcheck
+		--disable-extra-c-warnings
+		$(use_enable nls)
+		--enable-utilslib
+		# Plugins
+		--enable-addons
+		--enable-autoclose
+		--enable-automark
+		--enable-codenav
+		--enable-commander
+		--enable-defineformat
+		--enable-geanyextrasel
+		--enable-geanyinsertnum
+		--enable-geanymacro
+		--enable-geanyminiscript
+		--enable-geanynumberedbookmarks
+		--enable-geanyprj
+		--enable-geanyvc $(use_enable gtkspell)
+		--enable-keyrecord
+		--enable-latex
+		--enable-lineoperations
+		--enable-lipsum
+		--enable-overview
+		--enable-pairtaghighlighter
+		--enable-pohelper
+		--enable-projectorganizer
+		--enable-sendmail
+		--enable-shiftcolumn
+		--enable-tableconvert
+		--enable-treebrowser
+		--enable-vimode
+		--enable-xmlsnippets
+		$(use_enable debugger)
+		$(use_enable ctags geanyctags)
+		$(use_enable lua geanylua)
+		$(use_enable gpg geanypg)
+		$(use_enable soup geniuspaste)
+		$(use_enable git gitchangebar)
+		$(use_enable markdown) --disable-peg-markdown # using app-text/discount instead
+		$(use_enable pretty-printer)
+		$(use_enable scope)
+		$(use_enable enchant spellcheck)
+		# Having updatechecker… when you’re using a package manager?
+		$(use_enable soup updatechecker)
+		$(use_enable workbench)
+		# GeanyGenDoc requires ctpl which isn’t yet in portage
+		--disable-geanygendoc
+		# Require obsolete and vulnerable webkit-gtk versions
+		--disable-devhelp
+		--disable-webhelper
+		# GTK 2 only
+		--disable-geanydoc
+		--disable-geanypy
+		--disable-multiterm
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+
+	find "${D}" -name '*.la' -delete || die
+
+	# make installs all translations if LINGUAS is empty
+	if [[ -z "${LINGUAS-x}" ]]; then
+		rm -r "${ED}/usr/share/locale/" || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/geany-plugins/, dev-util/geany-plugins/files/
@ 2021-03-15 20:05 Andreas Sturmlechner
  0 siblings, 0 replies; 5+ messages in thread
From: Andreas Sturmlechner @ 2021-03-15 20:05 UTC (permalink / raw
  To: gentoo-commits

commit:     867fc950670b1942e1ac36980bc4badbf760f6c6
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Mon Mar 15 19:27:14 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Mar 15 20:05:12 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=867fc950

dev-util/geany-plugins: drop support for non-slotted Lua and GTK 2

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/19941
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-util/geany-plugins/Manifest                    |   1 -
 .../files/geany-plugins-1.36-libgit2-0.99.patch    |  55 ---------
 .../geany-plugins/geany-plugins-1.36-r2.ebuild     | 126 --------------------
 .../geany-plugins/geany-plugins-1.37-r100.ebuild   | 128 ---------------------
 dev-util/geany-plugins/geany-plugins-1.37.ebuild   | 124 --------------------
 dev-util/geany-plugins/metadata.xml                |   2 -
 6 files changed, 436 deletions(-)

diff --git a/dev-util/geany-plugins/Manifest b/dev-util/geany-plugins/Manifest
index 1b5562574dc..48c51ccf550 100644
--- a/dev-util/geany-plugins/Manifest
+++ b/dev-util/geany-plugins/Manifest
@@ -1,2 +1 @@
-DIST geany-plugins-1.36.tar.gz 4693634 BLAKE2B a7c319a77cb92a55a0a53063ab75d9375f7d2a0e419eb3e0acd063b8fda4b4d9798c103ce53b80090c73bd86804c58f815aaf8d0eecc0d7fbf7ad1c8470cb9b5 SHA512 b3e58b42432d17c27289fa20d10b833a2d7f5d8c72b51abe5b1ebdabcb952b18e0984b15ef6ac9753102d839f3174f28798269e1e94bf032bdaa189e98d72b2d
 DIST geany-plugins-1.37.tar.gz 4711239 BLAKE2B 7f4fd121f6f0784aecf2dcc04d208c89e502b23debcbc40889f93c1421e414c33c8634376cfe01e91c370f70818d33b373b88698f5cb0ee23dff5edee9d781cf SHA512 47f8d7170593114c773067a8132c724471cbf881582a0a739da578ca42533783d8ecbccb04e039f2990ceed440bbd2d94e4be4a28e336c7f74b8e11a15ba4ce9

diff --git a/dev-util/geany-plugins/files/geany-plugins-1.36-libgit2-0.99.patch b/dev-util/geany-plugins/files/geany-plugins-1.36-libgit2-0.99.patch
deleted file mode 100644
index 25e5ac4ea28..00000000000
--- a/dev-util/geany-plugins/files/geany-plugins-1.36-libgit2-0.99.patch
+++ /dev/null
@@ -1,55 +0,0 @@
-From 9497d829e1b207eb83575dc6f617feecfb89bc16 Mon Sep 17 00:00:00 2001
-From: Dominik Schmidt <dominik@schm1dt.ch>
-Date: Sun, 23 Feb 2020 19:15:30 +0100
-Subject: [PATCH] Make libgit2 version preprocessor conditionals compatible
- with libgit2-0.99
-
-LIBGIT2_SOVERSION is defined as string literal, e.g. "0.99",
-from libgit2-0.99 and beyond. Arithmetic checks against this
-variable whill hence fail. This patch switches the checks to
-compare against the LIBGIT2_VER_* family, which should be more stable.
----
- git-changebar/src/gcb-plugin.c | 6 +++---
- workbench/src/plugin_main.c    | 2 +-
- 2 files changed, 4 insertions(+), 4 deletions(-)
-
-diff --git a/git-changebar/src/gcb-plugin.c b/git-changebar/src/gcb-plugin.c
-index b7083199..a911815f 100644
---- a/git-changebar/src/gcb-plugin.c
-+++ b/git-changebar/src/gcb-plugin.c
-@@ -32,11 +32,11 @@
- #include <geany.h>
- #include <document.h>
- 
--#if ! defined (LIBGIT2_SOVERSION) || LIBGIT2_SOVERSION < 22
-+#if ! defined (LIBGIT2_VER_MINOR) || ( (LIBGIT2_VER_MAJOR == 0) && (LIBGIT2_VER_MINOR < 22) )
- # define git_libgit2_init     git_threads_init
- # define git_libgit2_shutdown git_threads_shutdown
- #endif
--#if ! defined (LIBGIT2_SOVERSION) || LIBGIT2_SOVERSION < 23
-+#if ! defined (LIBGIT2_VER_MINOR) || ( (LIBGIT2_VER_MAJOR == 0) && (LIBGIT2_VER_MINOR < 23) )
- /* 0.23 added @p binary_cb */
- # define git_diff_buffers(old_buffer, old_len, old_as_path, \
-                           new_buffer, new_len, new_as_path, options, \
-@@ -45,7 +45,7 @@
-                     new_buffer, new_len, new_as_path, options, \
-                     file_cb, hunk_cb, line_cb, payload)
- #endif
--#if ! defined (LIBGIT2_SOVERSION) || LIBGIT2_SOVERSION < 28
-+#if ! defined (LIBGIT2_VER_MINOR) || ( (LIBGIT2_VER_MAJOR == 0) && (LIBGIT2_VER_MINOR < 28) )
- # define git_buf_dispose  git_buf_free
- # define git_error_last   giterr_last
- #endif
-diff --git a/workbench/src/plugin_main.c b/workbench/src/plugin_main.c
-index 6fa6fc84..25ecdf6d 100644
---- a/workbench/src/plugin_main.c
-+++ b/workbench/src/plugin_main.c
-@@ -36,7 +36,7 @@
- #include "tm_control.h"
- 
- 
--#if ! defined (LIBGIT2_SOVERSION) || LIBGIT2_SOVERSION < 22
-+#if ! defined (LIBGIT2_VER_MINOR) || ( (LIBGIT2_VER_MAJOR == 0) && (LIBGIT2_VER_MINOR < 22))
- # define git_libgit2_init     git_threads_init
- # define git_libgit2_shutdown git_threads_shutdown
- #endif

diff --git a/dev-util/geany-plugins/geany-plugins-1.36-r2.ebuild b/dev-util/geany-plugins/geany-plugins-1.36-r2.ebuild
deleted file mode 100644
index 854fb578267..00000000000
--- a/dev-util/geany-plugins/geany-plugins-1.36-r2.ebuild
+++ /dev/null
@@ -1,126 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DESCRIPTION="A collection of different plugins for Geany"
-HOMEPAGE="https://plugins.geany.org"
-SRC_URI="https://plugins.geany.org/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 arm ppc ppc64 ~sparc x86"
-
-IUSE="+gtk3 ctags debugger enchant git gpg gtkspell lua markdown nls pretty-printer scope soup workbench"
-REQUIRED_USE="!gtk3? ( !markdown )"
-
-DEPEND="
-	dev-libs/glib:2
-	>=dev-util/geany-1.35[gtk3=]
-	gtk3? ( x11-libs/gtk+:3 )
-	!gtk3? ( x11-libs/gtk+:2 )
-	ctags? ( dev-util/ctags )
-	debugger? (
-		gtk3? ( x11-libs/vte:2.91 )
-		!gtk3? ( x11-libs/vte:0 )
-		)
-	enchant? ( app-text/enchant:= )
-	git? ( dev-libs/libgit2:= )
-	gpg? ( app-crypt/gpgme:1= )
-	gtkspell? (
-		gtk3? ( app-text/gtkspell:3= )
-		!gtk3? ( app-text/gtkspell:2 )
-		)
-	lua? ( dev-lang/lua:0= )
-	markdown? (
-		app-text/discount
-		net-libs/webkit-gtk:4
-		)
-	pretty-printer? ( dev-libs/libxml2:2 )
-	scope? (
-		gtk3? ( x11-libs/vte:2.91 )
-		!gtk3? ( x11-libs/vte:0 )
-		)
-	soup? ( net-libs/libsoup:2.4 )
-	workbench? ( dev-libs/libgit2:= )
-"
-RDEPEND="${DEPEND}
-	scope? ( sys-devel/gdb )
-"
-BDEPEND="virtual/pkgconfig
-	nls? ( sys-devel/gettext )
-"
-
-PATCHES=( "${FILESDIR}"/${P}-libgit2-0.99.patch )
-
-src_configure() {
-	local myeconfargs=(
-		--disable-cppcheck
-		--disable-extra-c-warnings
-		$(use_enable nls)
-		--enable-utilslib
-		# Plugins
-		--enable-addons
-		--enable-autoclose
-		--enable-automark
-		--enable-codenav
-		--enable-commander
-		--enable-defineformat
-		--enable-geanyextrasel
-		--enable-geanyinsertnum
-		--enable-geanymacro
-		--enable-geanyminiscript
-		--enable-geanynumberedbookmarks
-		--enable-geanyprj
-		--enable-geanyvc $(use_enable gtkspell)
-		--enable-keyrecord
-		--enable-latex
-		--enable-lineoperations
-		--enable-lipsum
-		--enable-overview
-		--enable-pairtaghighlighter
-		--enable-pohelper
-		--enable-projectorganizer
-		--enable-sendmail
-		--enable-shiftcolumn
-		--enable-tableconvert
-		--enable-treebrowser
-		--enable-vimode
-		--enable-xmlsnippets
-		$(use_enable debugger)
-		$(use_enable ctags geanyctags)
-		$(use_enable !gtk3 geanydoc)
-		$(use_enable lua geanylua)
-		$(use_enable gpg geanypg)
-		$(use_enable soup geniuspaste)
-		$(use_enable git gitchangebar)
-		$(use_enable markdown) --disable-peg-markdown # using app-text/discount instead
-		$(use_enable pretty-printer)
-		$(use_enable scope)
-		$(use_enable enchant spellcheck)
-		# Having updatechecker… when you’re using a package manager?
-		$(use_enable soup updatechecker)
-		$(use_enable workbench)
-		# GeanyGenDoc requires ctpl which isn’t yet in portage
-		--disable-geanygendoc
-		# Require obsolete and vulnerable webkit-gtk versions
-		--disable-devhelp
-		--disable-webhelper
-		# GTK 2 only
-		--disable-geanypy
-		--disable-multiterm
-	)
-
-	econf "${myeconfargs[@]}"
-}
-
-src_install() {
-	default
-
-	find "${D}" -name '*.la' -delete || die
-
-	# make installs all translations if LINGUAS is empty
-	if [[ -z "${LINGUAS-x}" ]]; then
-		rm -r "${ED}/usr/share/locale/" || die
-	fi
-}

diff --git a/dev-util/geany-plugins/geany-plugins-1.37-r100.ebuild b/dev-util/geany-plugins/geany-plugins-1.37-r100.ebuild
deleted file mode 100644
index a7b45aeecd5..00000000000
--- a/dev-util/geany-plugins/geany-plugins-1.37-r100.ebuild
+++ /dev/null
@@ -1,128 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-LUA_COMPAT=( lua5-1 )
-
-inherit lua-single
-
-DESCRIPTION="A collection of different plugins for Geany"
-HOMEPAGE="https://plugins.geany.org"
-SRC_URI="https://plugins.geany.org/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 arm ppc ppc64 ~sparc x86"
-
-IUSE="gtk2 ctags debugger enchant git gpg gtkspell lua markdown nls pretty-printer scope soup workbench"
-REQUIRED_USE="gtk2? ( !markdown ) lua? ( ${LUA_REQUIRED_USE} )"
-
-DEPEND="
-	dev-libs/glib:2
-	>=dev-util/geany-1.37[gtk2=]
-	!gtk2? ( x11-libs/gtk+:3 )
-	gtk2? ( x11-libs/gtk+:2 )
-	ctags? ( dev-util/ctags )
-	debugger? (
-		!gtk2? ( x11-libs/vte:2.91 )
-		gtk2? ( x11-libs/vte:0 )
-		)
-	enchant? ( app-text/enchant:= )
-	git? ( dev-libs/libgit2:= )
-	gpg? ( app-crypt/gpgme:1= )
-	gtkspell? (
-		!gtk2? ( app-text/gtkspell:3= )
-		gtk2? ( app-text/gtkspell:2 )
-		)
-	lua? ( ${LUA_DEPS} )
-	markdown? (
-		app-text/discount
-		net-libs/webkit-gtk:4
-		)
-	pretty-printer? ( dev-libs/libxml2:2 )
-	scope? (
-		!gtk2? ( x11-libs/vte:2.91 )
-		gtk2? ( x11-libs/vte:0 )
-		)
-	soup? ( net-libs/libsoup:2.4 )
-	workbench? ( dev-libs/libgit2:= )
-"
-RDEPEND="${DEPEND}
-	scope? ( sys-devel/gdb )
-"
-BDEPEND="virtual/pkgconfig
-	nls? ( sys-devel/gettext )
-"
-
-src_configure() {
-	local myeconfargs=(
-		--disable-cppcheck
-		--disable-extra-c-warnings
-		$(use_enable nls)
-		--enable-utilslib
-		# Plugins
-		--enable-addons
-		--enable-autoclose
-		--enable-automark
-		--enable-codenav
-		--enable-commander
-		--enable-defineformat
-		--enable-geanyextrasel
-		--enable-geanyinsertnum
-		--enable-geanymacro
-		--enable-geanyminiscript
-		--enable-geanynumberedbookmarks
-		--enable-geanyprj
-		--enable-geanyvc $(use_enable gtkspell)
-		--enable-keyrecord
-		--enable-latex
-		--enable-lineoperations
-		--enable-lipsum
-		--enable-overview
-		--enable-pairtaghighlighter
-		--enable-pohelper
-		--enable-projectorganizer
-		--enable-sendmail
-		--enable-shiftcolumn
-		--enable-tableconvert
-		--enable-treebrowser
-		--enable-vimode
-		--enable-xmlsnippets
-		$(use_enable debugger)
-		$(use_enable ctags geanyctags)
-		$(use_enable gtk2 geanydoc)
-		$(use_enable lua geanylua)
-		$(use_enable gpg geanypg)
-		$(use_enable soup geniuspaste)
-		$(use_enable git gitchangebar)
-		$(use_enable markdown) --disable-peg-markdown # using app-text/discount instead
-		$(use_enable pretty-printer)
-		$(use_enable scope)
-		$(use_enable enchant spellcheck)
-		# Having updatechecker… when you’re using a package manager?
-		$(use_enable soup updatechecker)
-		$(use_enable workbench)
-		# GeanyGenDoc requires ctpl which isn’t yet in portage
-		--disable-geanygendoc
-		# Require obsolete and vulnerable webkit-gtk versions
-		--disable-devhelp
-		--disable-webhelper
-		# GTK 2 only
-		--disable-geanypy
-		--disable-multiterm
-	)
-
-	econf "${myeconfargs[@]}"
-}
-
-src_install() {
-	default
-
-	find "${D}" -name '*.la' -delete || die
-
-	# make installs all translations if LINGUAS is empty
-	if [[ -z "${LINGUAS-x}" ]]; then
-		rm -r "${ED}/usr/share/locale/" || die
-	fi
-}

diff --git a/dev-util/geany-plugins/geany-plugins-1.37.ebuild b/dev-util/geany-plugins/geany-plugins-1.37.ebuild
deleted file mode 100644
index a1018068f12..00000000000
--- a/dev-util/geany-plugins/geany-plugins-1.37.ebuild
+++ /dev/null
@@ -1,124 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DESCRIPTION="A collection of different plugins for Geany"
-HOMEPAGE="https://plugins.geany.org"
-SRC_URI="https://plugins.geany.org/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
-
-IUSE="gtk2 ctags debugger enchant git gpg gtkspell lua markdown nls pretty-printer scope soup workbench"
-REQUIRED_USE="gtk2? ( !markdown )"
-
-DEPEND="
-	dev-libs/glib:2
-	>=dev-util/geany-1.37[gtk2=]
-	!gtk2? ( x11-libs/gtk+:3 )
-	gtk2? ( x11-libs/gtk+:2 )
-	ctags? ( dev-util/ctags )
-	debugger? (
-		!gtk2? ( x11-libs/vte:2.91 )
-		gtk2? ( x11-libs/vte:0 )
-		)
-	enchant? ( app-text/enchant:= )
-	git? ( dev-libs/libgit2:= )
-	gpg? ( app-crypt/gpgme:1= )
-	gtkspell? (
-		!gtk2? ( app-text/gtkspell:3= )
-		gtk2? ( app-text/gtkspell:2 )
-		)
-	lua? ( dev-lang/lua:0= )
-	markdown? (
-		app-text/discount
-		net-libs/webkit-gtk:4
-		)
-	pretty-printer? ( dev-libs/libxml2:2 )
-	scope? (
-		!gtk2? ( x11-libs/vte:2.91 )
-		gtk2? ( x11-libs/vte:0 )
-		)
-	soup? ( net-libs/libsoup:2.4 )
-	workbench? ( dev-libs/libgit2:= )
-"
-RDEPEND="${DEPEND}
-	scope? ( sys-devel/gdb )
-"
-BDEPEND="virtual/pkgconfig
-	nls? ( sys-devel/gettext )
-"
-
-src_configure() {
-	local myeconfargs=(
-		--disable-cppcheck
-		--disable-extra-c-warnings
-		$(use_enable nls)
-		--enable-utilslib
-		# Plugins
-		--enable-addons
-		--enable-autoclose
-		--enable-automark
-		--enable-codenav
-		--enable-commander
-		--enable-defineformat
-		--enable-geanyextrasel
-		--enable-geanyinsertnum
-		--enable-geanymacro
-		--enable-geanyminiscript
-		--enable-geanynumberedbookmarks
-		--enable-geanyprj
-		--enable-geanyvc $(use_enable gtkspell)
-		--enable-keyrecord
-		--enable-latex
-		--enable-lineoperations
-		--enable-lipsum
-		--enable-overview
-		--enable-pairtaghighlighter
-		--enable-pohelper
-		--enable-projectorganizer
-		--enable-sendmail
-		--enable-shiftcolumn
-		--enable-tableconvert
-		--enable-treebrowser
-		--enable-vimode
-		--enable-xmlsnippets
-		$(use_enable debugger)
-		$(use_enable ctags geanyctags)
-		$(use_enable gtk2 geanydoc)
-		$(use_enable lua geanylua)
-		$(use_enable gpg geanypg)
-		$(use_enable soup geniuspaste)
-		$(use_enable git gitchangebar)
-		$(use_enable markdown) --disable-peg-markdown # using app-text/discount instead
-		$(use_enable pretty-printer)
-		$(use_enable scope)
-		$(use_enable enchant spellcheck)
-		# Having updatechecker… when you’re using a package manager?
-		$(use_enable soup updatechecker)
-		$(use_enable workbench)
-		# GeanyGenDoc requires ctpl which isn’t yet in portage
-		--disable-geanygendoc
-		# Require obsolete and vulnerable webkit-gtk versions
-		--disable-devhelp
-		--disable-webhelper
-		# GTK 2 only
-		--disable-geanypy
-		--disable-multiterm
-	)
-
-	econf "${myeconfargs[@]}"
-}
-
-src_install() {
-	default
-
-	find "${D}" -name '*.la' -delete || die
-
-	# make installs all translations if LINGUAS is empty
-	if [[ -z "${LINGUAS-x}" ]]; then
-		rm -r "${ED}/usr/share/locale/" || die
-	fi
-}

diff --git a/dev-util/geany-plugins/metadata.xml b/dev-util/geany-plugins/metadata.xml
index db5b9d2b0d4..bc2109422ad 100644
--- a/dev-util/geany-plugins/metadata.xml
+++ b/dev-util/geany-plugins/metadata.xml
@@ -10,8 +10,6 @@
 		<name>Gentoo Proxy Maintainers Project</name>
 	</maintainer>
 	<use>
-		<flag name="gtk2">Use GTK+2 instead of GTK+3</flag>
-		<flag name="gtk3">Use GTK+3 instead of GTK+2</flag>
 		<flag name="ctags">Enable ctags plugin</flag>
 		<flag name="debugger">Enable the debugger plugin which interfaces with <pkg>sys-devel/gdb</pkg></flag>
 		<flag name="enchant">Enable spell checking using enchant</flag>


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/geany-plugins/, dev-util/geany-plugins/files/
@ 2022-06-20  2:53 Sam James
  0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2022-06-20  2:53 UTC (permalink / raw
  To: gentoo-commits

commit:     1fe0f94706264b202b97d0c311e4b6a83ee1a9d9
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Sat Jun 18 16:32:40 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun 20 02:49:33 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fe0f947

dev-util/geany-plugins: drop 1.37-r101

Closes: https://bugs.gentoo.org/851870
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/25961
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/geany-plugins/Manifest                    |   1 -
 .../files/geany-plugins-1.37_use-stdbool.patch     |  39 -------
 .../geany-plugins/geany-plugins-1.37-r101.ebuild   | 126 ---------------------
 3 files changed, 166 deletions(-)

diff --git a/dev-util/geany-plugins/Manifest b/dev-util/geany-plugins/Manifest
index 615554691d58..3b4606e1eaa4 100644
--- a/dev-util/geany-plugins/Manifest
+++ b/dev-util/geany-plugins/Manifest
@@ -1,2 +1 @@
-DIST geany-plugins-1.37.tar.gz 4711239 BLAKE2B 7f4fd121f6f0784aecf2dcc04d208c89e502b23debcbc40889f93c1421e414c33c8634376cfe01e91c370f70818d33b373b88698f5cb0ee23dff5edee9d781cf SHA512 47f8d7170593114c773067a8132c724471cbf881582a0a739da578ca42533783d8ecbccb04e039f2990ceed440bbd2d94e4be4a28e336c7f74b8e11a15ba4ce9
 DIST geany-plugins-1.38.tar.gz 4783970 BLAKE2B 386a05d7136183799059ef6d73b28a0d67d738939b0dc57649ac68f1049104568fe7c8453ebf2144277f60ee0834564b19bf4e756168864f1551962ba2411c14 SHA512 82d04331e23c5d81765b11e081a960a7a17172184cabe94efd2ddb37ac94668349b036e6083f77c867ac650fa7b251ba3970ae26b562b4568d6e313652763339

diff --git a/dev-util/geany-plugins/files/geany-plugins-1.37_use-stdbool.patch b/dev-util/geany-plugins/files/geany-plugins-1.37_use-stdbool.patch
deleted file mode 100644
index e4f3990c0015..000000000000
--- a/dev-util/geany-plugins/files/geany-plugins-1.37_use-stdbool.patch
+++ /dev/null
@@ -1,39 +0,0 @@
-From ad50d3ed2ddfe11cd07954786b96725602fb4ddd Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Alexander=20F=2E=20R=C3=B8dseth?= <rodseth@gmail.com>
-Date: Tue, 5 Jan 2021 12:57:27 +0100
-Subject: [PATCH] Use stdbool.h istead of redefining bool
-
-Redefining bool causes errors when used together with ie. GCC 10.2.0
----
- pretty-printer/src/PrettyPrinter.h | 5 ++---
- 1 file changed, 2 insertions(+), 3 deletions(-)
-
-diff --git a/pretty-printer/src/PrettyPrinter.h b/pretty-printer/src/PrettyPrinter.h
-index 268986e95..4200db612 100644
---- a/pretty-printer/src/PrettyPrinter.h
-+++ b/pretty-printer/src/PrettyPrinter.h
-@@ -29,6 +29,7 @@
- #include <stdlib.h>
- #include <string.h>
- #include <stdarg.h>
-+#include <stdbool.h>
- 
- #ifdef HAVE_GLIB
- #include <glib.h>
-@@ -52,15 +53,13 @@
- #define TRUE !(FALSE)
- #endif
- 
--typedef unsigned int bool;
--
- /*========================================== STRUCTURES =======================================================*/
- 
- /**
-  * The PrettyPrintingOptions struct allows the programmer to tell the
-  * PrettyPrinter how it must format the XML output.
-  */
--typedef struct 
-+typedef struct
- {
-       const char* newLineChars;                                                             /* char used to generate a new line (generally \r\n) */
-       char indentChar;                                                                      /* char used for indentation */

diff --git a/dev-util/geany-plugins/geany-plugins-1.37-r101.ebuild b/dev-util/geany-plugins/geany-plugins-1.37-r101.ebuild
deleted file mode 100644
index 607708251221..000000000000
--- a/dev-util/geany-plugins/geany-plugins-1.37-r101.ebuild
+++ /dev/null
@@ -1,126 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-LUA_COMPAT=( lua5-1 )
-
-inherit lua-single
-
-DESCRIPTION="A collection of different plugins for Geany"
-HOMEPAGE="https://plugins.geany.org"
-SRC_URI="https://plugins.geany.org/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 arm ppc ppc64 ~sparc x86"
-
-IUSE="ctags debugger enchant git gpg gtkspell lua markdown nls pretty-printer scope soup workbench"
-REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )"
-
-DEPEND="
-	dev-libs/glib:2
-	>=dev-util/geany-1.37[-gtk2(-)]
-	x11-libs/gtk+:3
-	ctags? ( dev-util/ctags )
-	debugger? (
-		x11-libs/vte:2.91
-		)
-	enchant? ( app-text/enchant:= )
-	git? ( dev-libs/libgit2:= )
-	gpg? ( app-crypt/gpgme:= )
-	gtkspell? ( app-text/gtkspell:3= )
-	lua? ( ${LUA_DEPS} )
-	markdown? (
-		app-text/discount
-		net-libs/webkit-gtk:4
-		)
-	pretty-printer? ( dev-libs/libxml2:2 )
-	scope? ( x11-libs/vte:2.91 )
-	soup? ( net-libs/libsoup:2.4 )
-	workbench? ( dev-libs/libgit2:= )
-"
-RDEPEND="${DEPEND}
-	scope? ( sys-devel/gdb )
-"
-BDEPEND="virtual/pkgconfig
-	nls? ( sys-devel/gettext )
-"
-
-PATCHES=( "${FILESDIR}"/${P}_use-stdbool.patch )
-
-pkg_setup() {
-	use lua && lua-single_pkg_setup
-}
-
-src_configure() {
-	local myeconfargs=(
-		--disable-cppcheck
-		--disable-extra-c-warnings
-		$(use_enable nls)
-		--enable-utilslib
-		# Plugins
-		--enable-addons
-		--enable-autoclose
-		--enable-automark
-		--enable-codenav
-		--enable-commander
-		--enable-defineformat
-		--enable-geanyextrasel
-		--enable-geanyinsertnum
-		--enable-geanymacro
-		--enable-geanyminiscript
-		--enable-geanynumberedbookmarks
-		--enable-geanyprj
-		--enable-geanyvc $(use_enable gtkspell)
-		--enable-keyrecord
-		--enable-latex
-		--enable-lineoperations
-		--enable-lipsum
-		--enable-overview
-		--enable-pairtaghighlighter
-		--enable-pohelper
-		--enable-projectorganizer
-		--enable-sendmail
-		--enable-shiftcolumn
-		--enable-tableconvert
-		--enable-treebrowser
-		--enable-vimode
-		--enable-xmlsnippets
-		$(use_enable debugger)
-		$(use_enable ctags geanyctags)
-		$(use_enable lua geanylua)
-		$(use_enable gpg geanypg)
-		$(use_enable soup geniuspaste)
-		$(use_enable git gitchangebar)
-		$(use_enable markdown) --disable-peg-markdown # using app-text/discount instead
-		$(use_enable pretty-printer)
-		$(use_enable scope)
-		$(use_enable enchant spellcheck)
-		# Having updatechecker… when you’re using a package manager?
-		$(use_enable soup updatechecker)
-		$(use_enable workbench)
-		# GeanyGenDoc requires ctpl which isn’t yet in portage
-		--disable-geanygendoc
-		# Require obsolete and vulnerable webkit-gtk versions
-		--disable-devhelp
-		--disable-webhelper
-		# GTK 2 only
-		--disable-geanydoc
-		--disable-geanypy
-		--disable-multiterm
-	)
-
-	econf "${myeconfargs[@]}"
-}
-
-src_install() {
-	default
-
-	find "${D}" -name '*.la' -delete || die
-
-	# make installs all translations if LINGUAS is empty
-	if [[ -z "${LINGUAS-x}" ]]; then
-		rm -r "${ED}/usr/share/locale/" || die
-	fi
-}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/geany-plugins/, dev-util/geany-plugins/files/
@ 2023-02-17  5:29 Sam James
  0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2023-02-17  5:29 UTC (permalink / raw
  To: gentoo-commits

commit:     054d7a9d4ea32989113d377840cd23c85674746b
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Thu Feb  9 19:36:37 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Feb 17 05:21:36 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=054d7a9d

dev-util/geany-plugins: support net-libs/webkit-gtk:4.1

geniuspaste and updatechecker plugins are disabled because they require
libsoup-2.4.

Closes: https://bugs.gentoo.org/893688
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/29507
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../files/geany-plugins-1.38-webkit2gtk-4.1.patch  |  20 +++
 .../geany-plugins/geany-plugins-1.38-r410.ebuild   | 136 +++++++++++++++++++++
 2 files changed, 156 insertions(+)

diff --git a/dev-util/geany-plugins/files/geany-plugins-1.38-webkit2gtk-4.1.patch b/dev-util/geany-plugins/files/geany-plugins-1.38-webkit2gtk-4.1.patch
new file mode 100644
index 000000000000..ad543af6587f
--- /dev/null
+++ b/dev-util/geany-plugins/files/geany-plugins-1.38-webkit2gtk-4.1.patch
@@ -0,0 +1,20 @@
+diff --git a/build/markdown.m4 b/build/markdown.m4
+index 6c1f53a6..39bea2a6 100644
+--- a/build/markdown.m4
++++ b/build/markdown.m4
+@@ -49,13 +49,13 @@ AC_DEFUN([GP_CHECK_MARKDOWN],
+     GTK_VERSION=2.16
+     WEBKIT_VERSION=1.1.13
+ 
+-    GP_CHECK_GTK3([webkit_package=webkit2gtk-4.0],
++    GP_CHECK_GTK3([webkit_package=webkit2gtk-4.1],
+                   [webkit_package=webkit-1.0])
+     GP_CHECK_PLUGIN_DEPS([markdown], [MARKDOWN],
+                          [$GP_GTK_PACKAGE >= ${GTK_VERSION}
+                           $webkit_package >= ${WEBKIT_VERSION}
+                           gthread-2.0])
+-    AM_CONDITIONAL([MARKDOWN_WEBKIT2], [test "$webkit_package" = webkit2gtk-4.0])
++    AM_CONDITIONAL([MARKDOWN_WEBKIT2], [test "$webkit_package" = webkit2gtk-4.1])
+ 
+     GP_COMMIT_PLUGIN_STATUS([Markdown])
+ 

diff --git a/dev-util/geany-plugins/geany-plugins-1.38-r410.ebuild b/dev-util/geany-plugins/geany-plugins-1.38-r410.ebuild
new file mode 100644
index 000000000000..42b73c6e698e
--- /dev/null
+++ b/dev-util/geany-plugins/geany-plugins-1.38-r410.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-1 )
+LUA_REQ_USE="deprecated"
+
+inherit autotools flag-o-matic lua-single
+
+DESCRIPTION="A collection of different plugins for Geany"
+HOMEPAGE="https://plugins.geany.org"
+SRC_URI="https://plugins.geany.org/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="ctags debugger enchant git gpg gtkspell lua markdown nls pretty-printer scope workbench"
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )"
+
+DEPEND="
+	dev-libs/glib:2
+	>=dev-util/geany-1.37[-gtk2(-)]
+	x11-libs/gtk+:3
+	ctags? ( dev-util/ctags )
+	debugger? ( x11-libs/vte:2.91 )
+	enchant? ( app-text/enchant:= )
+	git? ( dev-libs/libgit2:= )
+	gpg? ( app-crypt/gpgme:= )
+	gtkspell? ( app-text/gtkspell:3= )
+	lua? ( ${LUA_DEPS} )
+	markdown? (
+		app-text/discount:=
+		net-libs/webkit-gtk:4.1
+		)
+	pretty-printer? ( dev-libs/libxml2:2 )
+	scope? ( x11-libs/vte:2.91 )
+	workbench? ( dev-libs/libgit2:= )
+"
+RDEPEND="${DEPEND}
+	scope? ( sys-devel/gdb )
+"
+BDEPEND="virtual/pkgconfig
+	nls? ( sys-devel/gettext )
+"
+
+PATCHES=(
+	"${FILESDIR}/${P}-libgit2-1.4.patch"
+	"${FILESDIR}/${P}-webkit2gtk-4.1.patch"
+)
+
+pkg_setup() {
+	use lua && lua-single_pkg_setup
+}
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	# -DLUA_COMPAT_OPENLIB=1 is required to enable the
+	# deprecated (in 5.1) luaL_openlib API (#878529)
+	use lua_single_target_lua5-1 && append-cppflags -DLUA_COMPAT_OPENLIB=1
+
+	local myeconfargs=(
+		--disable-cppcheck
+		--disable-extra-c-warnings
+		$(use_enable nls)
+		--enable-utilslib
+		# Plugins
+		--enable-addons
+		--enable-autoclose
+		--enable-automark
+		--enable-codenav
+		--enable-commander
+		--enable-defineformat
+		--enable-geanydoc
+		--enable-geanyextrasel
+		--enable-geanyinsertnum
+		--enable-geanymacro
+		--enable-geanyminiscript
+		--enable-geanynumberedbookmarks
+		--enable-geanyprj
+		--enable-geanyvc $(use_enable gtkspell)
+		--enable-keyrecord
+		--enable-latex
+		--enable-lineoperations
+		--enable-lipsum
+		--enable-overview
+		--enable-pairtaghighlighter
+		--enable-pohelper
+		--enable-projectorganizer
+		--enable-sendmail
+		--enable-shiftcolumn
+		--enable-tableconvert
+		--enable-treebrowser
+		--enable-vimode
+		--enable-xmlsnippets
+		$(use_enable debugger)
+		$(use_enable ctags geanyctags)
+		$(use_enable lua geanylua)
+		$(use_enable gpg geanypg)
+		$(use_enable git gitchangebar)
+		$(use_enable markdown) --disable-peg-markdown # using app-text/discount instead
+		$(use_enable pretty-printer)
+		$(use_enable scope)
+		$(use_enable enchant spellcheck)
+		$(use_enable workbench)
+		# GeanyGenDoc requires ctpl which isn’t yet in portage
+		--disable-geanygendoc
+		# Require libsoup-2.4 which conflicts with webkit2gtk-4.1
+		--disable-geniuspaste
+		--disable-updatechecker
+		# Require obsolete and vulnerable webkit-gtk versions
+		--disable-devhelp
+		--disable-webhelper
+		# GTK 2 only
+		--disable-geanypy
+		--disable-multiterm
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+
+	find "${D}" -name '*.la' -delete || die
+
+	# make installs all translations if LINGUAS is empty
+	if [[ -z "${LINGUAS-x}" ]]; then
+		rm -r "${ED}/usr/share/locale/" || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2023-02-17  5:29 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-04-10 14:12 [gentoo-commits] repo/gentoo:master commit in: dev-util/geany-plugins/, dev-util/geany-plugins/files/ Andreas Sturmlechner
  -- strict thread matches above, loose matches on Subject: below --
2021-02-18 14:07 Joonas Niilola
2021-03-15 20:05 Andreas Sturmlechner
2022-06-20  2:53 Sam James
2023-02-17  5:29 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox